Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 931611 - app-emulation/hercules-sdl-4.7.0 - file collision with app-arch/tapeutils-0.4-r1
Summary: app-emulation/hercules-sdl-4.7.0 - file collision with app-arch/tapeutils-0.4-r1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: matoro
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2024-05-09 08:18 UTC by Toralf Förster
Modified: 2024-07-13 07:35 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,19.92 KB, text/plain)
2024-05-09 08:18 UTC, Toralf Förster
Details
app-emulation:hercules-sdl-4.7.0:20240508-232920.log.xz (app-emulation:hercules-sdl-4.7.0:20240508-232920.log.xz,16.04 KB, application/x-xz)
2024-05-09 08:18 UTC, Toralf Förster
Details
emerge-history.txt.xz (emerge-history.txt.xz,102.26 KB, application/x-xz)
2024-05-09 08:18 UTC, Toralf Förster
Details
etc.clang.tar.xz (etc.clang.tar.xz,1.36 KB, application/x-xz)
2024-05-09 08:18 UTC, Toralf Förster
Details
etc.portage.tar.xz (etc.portage.tar.xz,39.50 KB, application/x-xz)
2024-05-09 08:18 UTC, Toralf Förster
Details
logs.tar.xz (logs.tar.xz,17.68 KB, application/x-xz)
2024-05-09 08:18 UTC, Toralf Förster
Details
qlist-info.txt.xz (qlist-info.txt.xz,100.01 KB, application/x-xz)
2024-05-09 08:18 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2024-05-09 08:18:04 UTC
 * Press Ctrl-C to Stop
 * 
 * app-arch/tapeutils-0.4-r1:0::gentoo
 * 	/usr/bin/tapecopy
 * 
 * Package 'app-emulation/hercules-sdl-4.7.0' NOT merged due to file

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 23.0_hardened_systemd-20240502-075502

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-13 *
clang/llvm (if any):
clang version 18.1.5
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/18/bin
Configuration file: /etc/clang/x86_64-pc-linux-gnu-clang.cfg
/usr/lib/llvm/18
18.1.5
Python 3.11.9
Available Ruby profiles:
  [1]   ruby31 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.77.1 *
The following VMs are available for generation-2:
1)	Eclipse Temurin JDK 11.0.22_p7 [openjdk-bin-11]
2)	Eclipse Temurin JDK 17.0.10_p7 [openjdk-bin-17]
*)	Eclipse Temurin JDK 21.0.2_p13 [openjdk-bin-21]
4)	Eclipse Temurin JDK 8.402_p06 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8 
  [2]   openjdk-bin-11 
  [3]   openjdk-bin-17 
  [4]   openjdk-bin-21  system-vm

The Glorious Glasgow Haskell Compilation System, version 9.2.8
php cli (if any):
go version go1.22.2 linux/amd64

  HEAD of ::gentoo
commit 650b3a3d2007c4989f1d5fe65afc218caffbc31c
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Wed May 8 22:48:45 2024 +0000

    2024-05-08 22:48:45 UTC

emerge -qpvO app-emulation/hercules-sdl
[ebuild  N    ] app-emulation/hercules-sdl-4.7.0  USE="bzip2 filecaps -debug -object-rexx -regina-rexx -test"
Comment 1 Toralf Förster gentoo-dev 2024-05-09 08:18:05 UTC
Created attachment 892562 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2024-05-09 08:18:06 UTC
Created attachment 892563 [details]
app-emulation:hercules-sdl-4.7.0:20240508-232920.log.xz
Comment 3 Toralf Förster gentoo-dev 2024-05-09 08:18:07 UTC
Created attachment 892564 [details]
emerge-history.txt.xz
Comment 4 Toralf Förster gentoo-dev 2024-05-09 08:18:08 UTC
Created attachment 892565 [details]
etc.clang.tar.xz
Comment 5 Toralf Förster gentoo-dev 2024-05-09 08:18:09 UTC
Created attachment 892566 [details]
etc.portage.tar.xz
Comment 6 Toralf Förster gentoo-dev 2024-05-09 08:18:10 UTC
Created attachment 892567 [details]
logs.tar.xz
Comment 7 Toralf Förster gentoo-dev 2024-05-09 08:18:12 UTC
Created attachment 892568 [details]
qlist-info.txt.xz
Comment 8 Larry the Git Cow gentoo-dev 2024-07-13 07:35:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=409b8cf2e7a2e774dc922965783a62bcfcece4c1

commit 409b8cf2e7a2e774dc922965783a62bcfcece4c1
Author:     Matoro Mahri <matoro_gentoo@matoro.tk>
AuthorDate: 2024-06-08 23:04:34 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2024-07-13 07:34:49 +0000

    app-emulation/hercules-sdl: add soft-blocker on app-arch/tapeutils
    
    Both provide a binary called "tapecopy".
    
    Closes: https://bugs.gentoo.org/931611
    Signed-off-by: Matoro Mahri <matoro_gentoo@matoro.tk>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 app-emulation/hercules-sdl/hercules-sdl-4.7.0-r1.ebuild | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5eb9d709c90b4c6f63c8dbcfb19990da0a3124a7

commit 5eb9d709c90b4c6f63c8dbcfb19990da0a3124a7
Author:     Matoro Mahri <matoro_gentoo@matoro.tk>
AuthorDate: 2024-06-08 23:05:17 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2024-07-13 07:34:49 +0000

    app-emulation/hercules-sdl: drop 4.7.0
    
    Bug: https://bugs.gentoo.org/931611
    Signed-off-by: Matoro Mahri <matoro_gentoo@matoro.tk>
    Closes: https://github.com/gentoo/gentoo/pull/37087
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 .../hercules-sdl/hercules-sdl-4.7.0.ebuild         | 85 ----------------------
 1 file changed, 85 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01e8577934ebf755d347e723d3195f5cbdcfef6f

commit 01e8577934ebf755d347e723d3195f5cbdcfef6f
Author:     Matoro Mahri <matoro_gentoo@matoro.tk>
AuthorDate: 2024-06-08 20:13:32 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2024-07-13 07:34:49 +0000

    dev-lang/regina-rexx: add myself as a maintainer
    
    Bug: https://bugs.gentoo.org/931611
    Signed-off-by: Matoro Mahri <matoro_gentoo@matoro.tk>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 dev-lang/regina-rexx/metadata.xml | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)